IsNullAcceptanceTest (jMock API Documentation)
Keywords: atest.jmock.IsNullAcceptanceTest class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## atest.jmock
Class IsNullAcceptanceTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.jmock.core.VerifyingTestCase
                  org.jmock.core.MockObjectSupportTestCase
                      org.jmock.MockObjectTestCase
                          atest.jmock.IsNullAcceptanceTest

All Implemented Interfaces:
  Test

    public class IsNullAcceptanceTest

extends MockObjectTestCase

Nested Class Summary
`static interface` | `IsNullAcceptanceTest.MockedType`

Field Summary

Fields inherited from class org.jmock.core.MockObjectSupportTestCase
`ANYTHING, NOT_NULL, NULL`

Constructor Summary
`IsNullAcceptanceTest()`

Method Summary
`void` | `testCanUseTheNullKeywordInPlaceOfNULLConstraint()`

Methods inherited from class org.jmock.MockObjectTestCase
`atLeastOnce, atMostOnce, defaultMockNameForType, doAll, doAll, doAll, doAll, exactly, mock, mock, never, never, newCoreMock, newDummy, newDummy, newDummy, once, onConsecutiveCalls, onConsecutiveCalls, onConsecutiveCalls, onConsecutiveCalls, returnIterator, returnIterator, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, returnValue, throwException`

Methods inherited from class org.jmock.core.MockObjectSupportTestCase
`and, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, arrayContaining, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, assertThat, collectionContaining, collectionContaining, compatibleType, contains, endsWith, eq, eq, eq, eq, eq, eq, eq, eq, eq, eq, hasProperty, hasProperty, isA, isIn, isIn, mapContaining, mapContaining, mapWithKey, mapWithKey, mapWithValue, mapWithValue, not, or, same, startsWith, stringContains, toString`

Methods inherited from class org.jmock.core.VerifyingTestCase
`registerToVerify, runBare, unregisterToVerify, verify`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IsNullAcceptanceTest

    public IsNullAcceptanceTest()

Method Detail

### testCanUseTheNullKeywordInPlaceOfNULLConstraint

    public void testCanUseTheNullKeywordInPlaceOfNULLConstraint()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD